New Update JUly 2 2024 Won't Run

Operating system

macOS

Joplin version

2.14.22

Desktop version info

The app will not launch after an update

What issue do you have?

An update was announced, which I ran. Once it was installed, it was announced that my version of Mac OS is too old. Is there a repository from which I can download and install the older version?

2 Likes

The releases are all on GitHub - Releases · laurent22/joplin · GitHub

The last Joplin 2.x release was 2.14.22 - Release v2.14.22 · laurent22/joplin · GitHub

You may also need to ensure you don't use any Joplin 3.x clients at all (mobile etc.) if you sync because changes may be made to the sync target that your older client won't be compatible with. For mobile apps this would usually mean turning off auto updates.